Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234642 - AVC when turning on 'cpuspeed' service from GUI
Summary: AVC when turning on 'cpuspeed' service from GUI
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 19:05 UTC by Tom London
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 18:35:14 UTC


Attachments (Terms of Use)

Description Tom London 2007-03-30 19:05:52 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Using s-c-services to enable 'cpuspeed' causes the following AVCs:

type=AVC msg=audit(1175281223.797:26): avc:  denied  { write } for  pid=4031
comm="modprobe" name="[16553]" dev=pipefs ino=16553
scontext=system_u:system_r:insmod_t:s0
tcontext=system_u:system_r:unconfined_t:s0 tclass=fifo_file
type=SYSCALL msg=audit(1175281223.797:26): arch=40000003 syscall=11 success=yes
exit=0 a0=84c0938 a1=84c0b58 a2=84a9a60 a3=0 items=0 ppid=4026 pid=4031 auid=500
uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
comm="modprobe" exe="/sbin/modprobe" subj=system_u:system_r:insmod_t:s0 key=(null)
type=AVC_PATH msg=audit(1175281223.797:26):  path="pipe:[16553]"
type=AVC msg=audit(1175281223.916:27): avc:  denied  { write } for  pid=4039
comm="modprobe" name="[16553]" dev=pipefs ino=16553
scontext=system_u:system_r:insmod_t:s0
tcontext=system_u:system_r:unconfined_t:s0 tclass=fifo_file
type=AVC msg=audit(1175281223.916:27): avc:  denied  { write } for  pid=4039
comm="modprobe" name="[16553]" dev=pipefs ino=16553
scontext=system_u:system_r:insmod_t:s0
tcontext=system_u:system_r:unconfined_t:s0 tclass=fifo_file
type=SYSCALL msg=audit(1175281223.916:27): arch=40000003 syscall=11 success=yes
exit=0 a0=84c02f8 a1=84c0808 a2=84a9a60 a3=0 items=0 ppid=4026 pid=4039 auid=500
uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
comm="modprobe" exe="/sbin/modprobe" subj=system_u:system_r:insmod_t:s0 key=(null)
type=AVC_PATH msg=audit(1175281223.916:27):  path="pipe:[16553]"
type=AVC_PATH msg=audit(1175281223.916:27):  path="pipe:[16553]"


How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2007-04-10 19:00:52 UTC
Fixed in selinux-policy-2.5.11-8.fc7

Comment 2 Tom London 2007-04-13 18:35:14 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.